DELETE
FROM "documents_transcriptionentity"
WHERE "documents_transcriptionentity"."id" IN
        (SELECT V0."id"
         FROM "documents_transcriptionentity" V0
         INNER JOIN "documents_transcription" V1 ON (V0."transcription_id" = V1."id")
         WHERE V1."element_id" IN
                 (SELECT U0."id"
                  FROM "documents_element" U0
                  WHERE U0."id" = '{id}'::uuid));

DELETE
FROM "documents_transcription"
WHERE "documents_transcription"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         WHERE U0."id" = '{id}'::uuid);

DELETE
FROM "documents_metadata"
WHERE "documents_metadata"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         WHERE U0."id" = '{id}'::uuid);

DELETE
FROM "documents_classification"
WHERE "documents_classification"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         WHERE U0."id" = '{id}'::uuid);

DELETE
FROM "documents_selection"
WHERE "documents_selection"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         WHERE U0."id" = '{id}'::uuid);

DELETE
FROM "dataimport_dataimportelement"
WHERE "dataimport_dataimportelement"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         WHERE U0."id" = '{id}'::uuid);

UPDATE "dataimport_dataimport"
SET "element_id" = NULL
WHERE "dataimport_dataimport"."element_id" IN
        (SELECT U0."id"
         FROM "documents_element" U0
         WHERE U0."id" = '{id}'::uuid);

WITH element_ids (id) AS
    (DELETE
     FROM documents_elementpath
     WHERE element_id IN
             (SELECT "documents_element"."id"
              FROM "documents_element"
              WHERE "documents_element"."id" = '{id}'::uuid) RETURNING element_id)
DELETE
FROM documents_element element USING element_ids
WHERE element.id = element_ids.id ;

SELECT "documents_element"."id",
       "documents_element"."created",
       "documents_element"."updated",
       "documents_element"."corpus_id",
       "documents_element"."type_id",
       "documents_element"."name",
       "documents_element"."zone_id",
       "documents_element"."worker_version_id"
FROM "documents_element"
WHERE "documents_element"."id" = '{id}'::uuid;

SELECT "documents_transcription"."id"
FROM "documents_transcription"
WHERE "documents_transcription"."element_id" IN ('{id}'::uuid);

SELECT "dataimport_dataimport"."id"
FROM "dataimport_dataimport"
WHERE "dataimport_dataimport"."element_id" IN ('{id}'::uuid)
ORDER BY "dataimport_dataimport"."corpus_id" ASC,
         "dataimport_dataimport"."created" DESC;

DELETE
FROM "documents_elementpath"
WHERE "documents_elementpath"."element_id" IN ('{id}'::uuid);

DELETE
FROM "documents_classification"
WHERE "documents_classification"."element_id" IN ('{id}'::uuid);

DELETE
FROM "documents_metadata"
WHERE "documents_metadata"."element_id" IN ('{id}'::uuid);

DELETE
FROM "documents_selection"
WHERE "documents_selection"."element_id" IN ('{id}'::uuid);

DELETE
FROM "dataimport_dataimportelement"
WHERE "dataimport_dataimportelement"."element_id" IN ('{id}'::uuid);

DELETE
FROM "dataimport_workeractivity"
WHERE "dataimport_workeractivity"."element_id" IN ('{id}'::uuid);

DELETE
FROM "documents_element"
WHERE "documents_element"."id" IN ('{id}'::uuid)
